### Struct

# GtkTreeRowReference

deprecated: 4.10

#### Description [src]

    struct GtkTreeRowReference {
      /* No available fields */
    }

A GtkTreeRowReference tracks model changes so that it always refers to the same row (a `GtkTreePath` refers to a position, not a fixed row). Create a new GtkTreeRowReference with gtk_tree_row_reference_new().

Deprecated since: 4.10

Use `GListModel` instead.

#### Constructors

###### gtk_tree_row_reference_new

Creates a row reference based on `path`.

deprecated: 4.10

###### gtk_tree_row_reference_new_proxy

You do not need to use this function.

deprecated: 4.10

#### Functions

###### gtk_tree_row_reference_deleted

Lets a set of row reference created by `gtk_tree_row_reference_new_proxy()` know that the model emitted the ::row-deleted signal.

deprecated: 4.10

###### gtk_tree_row_reference_inserted

Lets a set of row reference created by `gtk_tree_row_reference_new_proxy()` know that the model emitted the ::row-inserted signal.

deprecated: 4.10

###### gtk_tree_row_reference_reordered

Lets a set of row reference created by `gtk_tree_row_reference_new_proxy()` know that the model emitted the ::rows-reordered signal.

deprecated: 4.10

#### Instance methods

###### gtk_tree_row_reference_copy

Copies a `GtkTreeRowReference`.

deprecated: 4.10

###### gtk_tree_row_reference_free

Free’s `reference`. `reference` may be `NULL`.

deprecated: 4.10

###### gtk_tree_row_reference_get_model

Returns the model that the row reference is monitoring.

deprecated: 4.10

###### gtk_tree_row_reference_get_path

Returns a path that the row reference currently points to, or `NULL` if the path pointed to is no longer valid.

deprecated: 4.10

###### gtk_tree_row_reference_valid

Returns `TRUE` if the `reference` is non-`NULL` and refers to a current valid path.

deprecated: 4.10